> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How to get a specific list item

> How to get list item via web service APIs

The List endpoint provides methods that we can use to retrieve a single entry of a given list by providing the unique identifier of the list as a parameter. For example, we can get a specific country by using the method `GetCountry` and providing the country ID as the parameter.

The following list contains **a few** of the many methods available.

* GetCountry
* GetBusiness
* GetCategory
* GetCredited
* GetCurrency

<Tabs>
  <Tab title="RESTful REST API">
    ```http theme={null}
    GET https://{{env}}.superoffice.com/{{tenant}}/api/v1/List/Category/Items/3 HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    ```
  </Tab>

  <Tab title="HTTP RPC Agent API">
    Specify which category Id by using the `categoryId` query string parameter.

    ```http theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/List/GetCategory?categoryId=3 HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    ```
  </Tab>

  <Tab title="WebApi Proxy API">
    Get a list item using the [SuperOffice.WebApi][1] proxy client.

    ```csharp theme={null}
    var config = new WebApiOptions(tenant.WebApiUrl);
    config.Authorization = new AuthorizationAccessToken("8A:Cust12345.Example-Token", OnlineEnvironment.SOD);
    var agent = new MDOAgent(config);

    var listEntity = agent.GetCategoryAsync(3).Result;
    ```
  </Tab>
</Tabs>

[Back](./index)

[1]: ../../../web-services/proxies/index


## Related topics

- [How to get all list items](/en/api/lists/services/how-to/get-list-items.md)
- [How to get a list of invitations (services)](/en/api/web-services/howto/diary/get-invitations-services.md)
- [How to create a list item](/en/api/lists/services/how-to/create-list-item.md)
- [How to delete a list item](/en/api/lists/services/how-to/delete-list-item.md)
- [How to set a user-defined list item on a Udef field (services)](/en/api/web-services/howto/custom-objects/set-udef-listitem-value.md)
